Subject: bug#39072: closed (Re: bug#39072: 26.3; Pressing C-z in fullscreen messes all frames)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 10 Jan 2020 21:11:02 +0000

Your bug report

#39072: 26.3; Pressing C-z in fullscreen messes all frames

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39072: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39072
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39072: 26.3; Pressing C-z in fullscreen messes all frames
From: Eli Zaretskii <[email-masked]>
To: Corwin Brust <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 10 Jan 2020 23:10:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Corwin Brust <[email-masked]>
> Date: Fri, 10 Jan 2020 14:35:15 -0600
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> It will take some time to peel them my customizations.  I can I update the closed ticket if I have new
> information at that point?  My assumption is that I won't then be able to reproduce and will only have what in
> my windows setup caused this to share, so looking for the right place to put that if it seems useful.

We can always reopen a closed bug report if we have further info.

Thanks, I close this for now.

Subject: 26.3; Pressing C-z in fullscreen messes all frames
From: Corwin Brust <[email-masked]>
To: [email-masked]
Date: Fri, 10 Jan 2020 11:01:54 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

--text follows this line--

# windows 10, GNU Emacs 26.3 (msi)
emacs -Q
F-11 ;;now we're full-screen
C-z  ;; now all frames are "locked"

...

At this point, emacs won't accept keyboard input. C-g doesn't do anything,
If there are several frames they will all be in this state.  We seem to be
able to
recover using the mouse to execute an interactive command.  In fact, I was
able to use Help | Send Bug Report to create this message *after*
reproducing
from my -Q session -- once the mini-buffer prompt popped I was able to type
again.

In GNU Emacs 26.3 (build 1, i686-w64-mingw32)
 of 2019-08-29 built on CIRROCUMULUS
Repository revision: 96dd0196c28bc36779584e47fffcca433c9309cd
Windowing system distributor 'Microsoft Corp.', version 10.0.18363
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --without-dbus --host=i686-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS THREADS LCMS2

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1252

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils elec-pair time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win
w32-vars term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads w32notify w32 lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 8 97498 15152)
 (symbols 24 20212 1)
 (miscs 20 51 160)
 (strings 16 29861 1639)
 (string-bytes 1 765350)
 (vectors 12 13885)
 (vector-slots 4 516328 12014)
 (floats 8 52 238)
 (intervals 28 239 30)
 (buffers 536 12))

-- 
*Corwin*
612-217-1742
612-298-0615 (fax)
612-695-4276 (mobile)
*corwin.brust (skype)[email-masked] <[email-masked]>*